/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.test.aop.callerscope;

import org.jboss.aop.instrument.Untransformable;

/** Main intent of this test is to check that differently scoped interceptors/aspects
 * will work with caller pointcuts.
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.8.2 $
 */
public class POJO implements Untransformable
{
   public POJO()
   {
      System.out.println("*** PER_VM advised POJO constructor");
   }

   public POJO(int i)
   {
      System.out.println("*** PER_CLASS advised POJO constructor");
   }

   public POJO(boolean b)
   {
      System.out.println("*** PER_CLASS_JOINPOINT advised POJO constructor");
   }
   
   public void perVmMethod()
   {
      System.out.println("*** PER_VM POJO method");
   }
   
   public void perClassMethod()
   {
      System.out.println("*** PER_CLASS POJO method");
   }
   
   public void perInstanceMethod()
   {
      System.out.println("*** PER_INSTANCE POJO method");
   }
   
   public void perJoinpointMethod()
   {
      System.out.println("*** PER_JOINPOINT POJO method");
   }
   
   public void perClassJoinpointMethod()
   {
      System.out.println("*** PER_CLASS_JOINPOINT POJO method");
   }
   

}
